package com.caliverse.admin.domain.batch;

import org.springframework.batch.item.Chunk;
import org.springframework.batch.item.ItemWriter;

import lombok.extern.slf4j.Slf4j;

@Slf4j
public class CustomWriter implements ItemWriter<String> {
    @Override
    public void write(Chunk<? extends String> chunk) throws Exception {
        
        for (String data : chunk) {
            log.info("Writing item: " + data.toString());
        }
    }
    
}
